function init()
	-- little check ran here as well as main.lua
	if not HasKey("savegame.mod.keybind") or GetString("savegame.mod.keybind") == "?" then
		SetString("savegame.mod.keybind", "t")
	end
	--DebugPrint("options init ran!")
end

function tick()
	local lastInput = InputLastPressedKey()
	if #lastInput > 0 and GetString("savegame.mod.keybind") == "?" then
		SetString("savegame.mod.keybind", lastInput)
	end
end


function draw()
	UiTranslate(UiCenter(), 250)
	UiAlign("center middle")

	--Title
	UiFont("bold.ttf", 48)
	UiText("Speed Force options")

	
	--Draw buttons
	UiTranslate(0, 200)
	UiFont("regular.ttf", 26)
	UiButtonImageBox("ui/common/box-outline-6.png", 6, 6)
	UiPush()
		UiAlign("center middle")
		UiTranslate(0, 0)
		if UiTextButton("Speed Force Activation Button = "..GetString("savegame.mod.keybind"):upper(), 600, 45) then
			SetString("savegame.mod.keybind", "?")
		end
	UiPop()
	
	UiTranslate(0, 100)
	if UiTextButton("Close", 200, 40) then
		Menu()
	end
end


